package pl.alx.kurs.colourlovers;

import pl.alx.kurs.colourlovers.model.PatternsListener;
import pl.alx.kurs.colourlovers.model.PatternsModel;
import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.widget.ListView;

public class ColourActivity extends Activity {

	private PatternsModel pobieracz;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_colour);
        pobieracz = (PatternsModel) getLastNonConfigurationInstance();
        if (pobieracz == null) {
        	pobieracz = new PatternsModel();
        }
        final PatternsAdapter adapter = new PatternsAdapter(pobieracz.getPatterns());
        pobieracz.setListener(new PatternsListener() {
			public void patternsHaveChanged() {
				runOnUiThread(new Runnable() {
					public void run() {
						adapter.notifyDataSetChanged();
					}
				});
			}
		});
        ((ListView) findViewById(R.id.patterny)).setAdapter(adapter);
		pobieracz.loadAsync();
    }

    @Override
    public Object onRetainNonConfigurationInstance() {
    	return pobieracz;
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_colour, menu);
        return true;
    }

    
}
